## org.eclipse.jst.jsf.context.symbol
Interface IBeanInstanceSymbol

All Superinterfaces:
  IDescribedInDetail, IInstanceSymbol, IObjectSymbol, ISymbol

    public interface IBeanInstanceSymbol

extends IInstanceSymbol, IDescribedInDetail

An instance of a java bean

Provisional API - subject to change

Field Summary
`static java.lang.String` `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`IJavaTypeDescriptor2` `getJavaTypeDescriptor()` This is a convenience method equivalent to to (IJavaTypeDescriptor2) getTypeDescriptor
`EList` `getMethods()` Returns the value of the 'Methods' reference list.
`EList` `getProperties()` Returns the value of the 'Properties' reference list.
`void` `setJavaTypeDescriptor(IJavaTypeDescriptor2 newTypeDescriptor)` Convenience method equivalent to setTypeDescriptor((IJavaTypeDescriptor2) typeDesc)s

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IInstanceSymbol
`getRuntimeSource, getTypeDescriptor, isTypeResolved, setRuntimeSource`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IObjectSymbol
`call, coerce, isReadable, isWritable, setReadable, setTypeDescriptor, setWritable, supportsCoercion`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`getName, setName`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IDescribedInDetail
`getDetailedDescription, setDetailedDescription`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getProperties

    EList getProperties()

  Returns the value of the 'Properties' reference list. The list contents are of type `IBeanPropertySymbol`.

  If the meaning of the 'Properties' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Properties' reference list.
  See Also:
    `SymbolPackage.getIBeanInstanceSymbol_Properties()`

### getMethods

    EList getMethods()

  Returns the value of the 'Methods' reference list. The list contents are of type `IBeanMethodSymbol`.

  If the meaning of the 'Methods' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Methods' reference list.
  See Also:
    `SymbolPackage.getIBeanInstanceSymbol_Methods()`

### getJavaTypeDescriptor

    IJavaTypeDescriptor2 getJavaTypeDescriptor()

  This is a convenience method equivalent to to (IJavaTypeDescriptor2) getTypeDescriptor

  Returns:
    the type descriptor cast to a java descriptor

### setJavaTypeDescriptor

    void setJavaTypeDescriptor(IJavaTypeDescriptor2 newTypeDescriptor)

  Convenience method equivalent to setTypeDescriptor((IJavaTypeDescriptor2) typeDesc)s

  Parameters:
    `newTypeDescriptor` -